Subject: [drinks] Gen-ART of draft-ietf-drinks-spp-protocol-over-soap: ResultCodeType namespace issues?

From: Alexander Mayrhofer <[email-masked]>
Date: Wed, 20 May 2015 12:59:56 +0000

I'm working on Roni Even's second comment on the draft, which is:

"The "complexType name="ResultCodeType" is defined in multiple subsections (7.2.1.2 , 7.2.2.2 , ...) but not in all places, should be specified only once or in all. Also the definitions in section 7 are not consistent with the ones in section 9 which is the formal definition."

Looking closer at the references of ResultCodeType, I noticed that the Type is included as elements in the following way:

<element name="overallResult" type="sppfb:ResultCodeType"/>

Besides the point that Roni makes (repetitive definition of the type, and lack of consistency with the formal definition), I think that we also are using the wrong namespace to refer to that type? The type is actually defined in the SOAP document's XML, which has the following namespace definitions:

<xsd:schema xmlns="http://www.w3.org/2001/XMLSchema" 
  xmlns:sppfs="urn:ietf:params:xml:ns:sppf:soap:1" 
  targetNamespace="urn:ietf:params:xml:ns:sppf:soap:1">

Therefore, I think the reference should rather use the *"sppfs"* namespace.. Could please someone doublecheck this and either confirm my suspicion (or explain why I'm wrong)?

Thanks,
Alex